Subject: Re: [RFCv2/FYI] git-sequencer.txt

From: Paolo Bonzini <[email-masked]>
Date: Thu, 12 Jun 2008 08:56:10 -0700

> The reason why I didn't want `-C' to be `--reuse-message' is:
>  1. it is a misleading long option name, and
>  2. some days ago the long option was not really documented,
>     so everyone and everything is using -C.
>     (See
> 	git show bc47c29
>      and/or
> 	git grep -e reuse-message
>      in git.git)

Yes, I agree (though I still maintain that --reuse-message is better if 
only because it is more consistent).

>>> -M <commit-ish>
>>> --reuse-message=<commit-ish>::
>>> 	Reuse message from specified commit.
>>> 	Note, that only the commit message is reused
>>> 	and not the authorship information.
> 
> This is something I'd like to keep.

Do you have a use case?

> Later you speak of using the -e option to force edit of the message.
> I think that "-c" is not needed if you can use "-C f00babe -e".

Well, so is for git-commit but...

> Currently you can pass --author as a general option.
> Perhaps this is not as easy to handle for the user, but if we
> really really really want the -A/--author-override, we can add it later.

The idea is that -M = "-A -C ba123"...

Paolo